## org.apache.batik.swing.svg
Interface SVGLoadEventDispatcherListener

All Known Implementing Classes:
  AbstractJSVGComponent.SVGListener, JSVGCanvas.CanvasSVGListener, JSVGComponent.ExtendedSVGListener, JSVGViewerFrame, SVGLoadEventDispatcherAdapter

    public interface SVGLoadEventDispatcherListener

This interface represents a listener to the SVGLoadEventDispatcherEvent events.

Method Summary
`void` `svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was cancelled.
`void` `svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was completed.
`void` `svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch failed.
`void` `svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch started.

Method Detail

### svgLoadEventDispatchStarted

    void svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch started.

### svgLoadEventDispatchCompleted

    void svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was completed.

### svgLoadEventDispatchCancelled

    void svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was cancelled.

### svgLoadEventDispatchFailed

    void svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch failed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.